Subject: [lp-wan] Considering layer-2 security as part of comparing 802.15.4 fragmentation versus SCHC fragmentation

From: Charlie Perkins <[email-masked]>
Date: Wed, 27 Mar 2019 08:28:41 -0700

Hello folks,

802.15.4 offers some provision for security in the MAC header. When we 
try to compare the overhead for 802.15.4 fragmentation versus SCHC 
fragmentation, we need to know how to set the relevant fields.  What I 
did for the presentation yesterday was to assume no security, which 
might be reasonable for the purpose.  But it might not be realistic, if 
for instance all SCHC fragments incurred a security overhead at layer 2 
by default.

Do people in the [lpwan] WG have opinions about whether or not 
per-fragment security is desirable (i.e., should be considered the 
default)?  My guess is not, but I might be wrong.

Regards,
Charlie P.